%{

#include <string.h>	/* for strcmp, strdup & friends */
#include <stdio.h>	/* for strcmp, strdup & friends */
#include <stdlib.h>	/* for atoi() */

#include "parser.h"	/* (TK_) symbols from parser.y */

int line_number;

%}

%%
[ \t\r\n]	        break;

"inst"              return TK_INST;

.			{
			  fprintf(stderr,"Illegal character with code %d on line #%d\n", *yytext, line_number);
			  exit(1);
			}
